# ARPACK++ v1.2 2/20/2000
# $FreeBSD: ports/math/arpack++/files/patch-Makefile.inc,v 1.2 2008/12/12 14:39:50 stefan Exp $
# c++ interface to ARPACK code.
# This file contains some definitions used to compile arpack++ examples
# with the g++ compiler under FreeBSD.


# Defining the machine.

PLAT         = `uname -s`

# Defining the compiler.

CPP          = $(CXX)

# Defining ARPACK++ directories.
# ARPACKPP_INC is the directory that contains all arpack++ header files.
# SUPERLU_DIR and UMFPACK_DIR must be set to ARPACKPP_INC.

ARPACK_INC   = /usr/local/include
ARPACKPP_DIR = /usr/local
ARPACKPP_INC = $(ARPACKPP_DIR)/include/ARPACK++
SUPERLU_DIR  = /usr/local/include/superlu
UMFPACK_DIR  = /usr/local/include/UMFPACK

# Defining ARPACK, LAPACK, UMFPACK, SUPERLU, BLAS and FORTRAN libraries.
# See the arpack++ manual or the README file for directions on how to 
# obtain arpack, umfpack and SuperLU packages. 
# UMFPACK_LIB and SUPERLU_LIB must be declared only if umfpack and superlu 
# are going to be used. Some BLAS and LAPACK fortran routines are 
# distributed along with arpack fortran code, but the user should verify 
# if optimized versions of these libraries are available before installing 
# arpack. The fortran libraries described below are those required to link
# fortran and c++ code using gnu g++ and f77 compiler under linux.
# Other libraries should be defined if the user intends to compile
# arpack++ on another environment.

ARPACK_LIB   = /usr/local/lib/libarpack.a
LAPACK_LIB   = /usr/local/lib/liblapack.a
UMFPACK_LIB  = /usr/local/lib/libumfpack.a
SUPERLU_LIB  = /usr/local/lib/libsuperlu.a
BLAS_LIB     = /usr/local/lib/libf77blas.a /usr/local/lib/libatlas.a
FORTRAN_LIBS = -L/usr/local/lib/gcc-4.2.5 -lgfortran

# Defining g++ flags and directories.

CPP_WARNINGS = -Wno-deprecated
CPP_DEBUG    = -g
#CPP_OPTIM    = -O
CPP_LIBS     = -lm
CPP_INC      = /usr/local/include

CPP_FLAGS    = $(CXXFLAGS) $(CPP_WARNINGS) -D$(PLAT) -I$(ARPACKPP_INC) -I$(CPP_INC)

# Putting all libraries together.

ALL_LIBS     = $(ARPACK_LIB) $(LAPACK_LIB) $(BLAS_LIB) $(FORTRAN_LIBS) $(CPP_LIBS)

# defining paths.

vpath %.h  $(ARPACK_INC)

